Bug 90312 - [patch] www/mod_perl2: added support for www/apache22
Summary: [patch] www/mod_perl2: added support for www/apache22
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2005-12-12 23:10 UTC by Simun Mikecin
Modified: 2005-12-19 18:24 UTC (History)
0 users

See Also:


Attachments
file.diff (8.49 KB, patch)
2005-12-12 23:10 UTC, Simun Mikecin
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Simun Mikecin 2005-12-12 23:10:03 UTC
Makefile of this port has hardcoded directories for integration with
www/apache20. With this patch it is able to dynamically detect installed
version of apache and configure accordingly. This adds support for
www/apache21 (not tested) and www/apache22 (tested).

How-To-Repeat: Try to use www/apache22 port with www/mod_perl2 shared module.
Comment 1 Edwin Groothuis freebsd_committer 2005-12-12 23:12:47 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback
Comment 2 Lars Eggert 2005-12-13 09:13:33 UTC
Hi,

this appears to be OK, but note that I can only test mod_perl2 with  
apache20. If we put this patch in (and not just make mod_perl2  
apache20-compatible only), how are we dealing with testing  
compatibility in the future?

Lars
--
Lars Eggert                                     NEC Network Laboratories
Comment 3 Simun Mikecin 2005-12-13 09:18:55 UTC
Do you suggest making another port of mod_perl2 that works only with
apache22? I don't agree with that.
Other ports don't work that way either. For example, php5 port has the
similar apache version detection.
If the maintainer is not able to test some of the functionality then he
should find someone else to do the testing for him.
Apache 2.2 is stable, and I'm not the only one that needs mod_perl2 with
it.
Comment 4 Lars Eggert 2005-12-13 10:16:09 UTC
On Dec 13, 2005, at 10:18, =8Aimun Mikecin wrote:
> Do you suggest making another port of mod_perl2 that works only with
> apache22? I don't agree with that.

apache20, actually.

> Other ports don't work that way either. For example, php5 port has the
> similar apache version detection.
> If the maintainer is not able to test some of the functionality =20
> then he
> should find someone else to do the testing for him.

Well, do *you* volunteer to test apache21 and apache22 whenever I =20
make a change to the mod_perl2 port?

> Apache 2.2 is stable, and I'm not the only one that needs mod_perl2 =20=

> with
> it.

Lars
--
Lars Eggert                                     NEC Network Laboratories
Comment 5 Simun Mikecin 2005-12-13 11:51:24 UTC
Just like the maintainership of the port does not mean you will *always*
take care of bugfixing, updating and resolving problems, I cannot be a
tester whenever you make a change. Port maintanership is based on doing
it on best-effort basis as time permits, so is my help with testing.
Nobody is paid to do it. Beside maintaining a few ports, I do testing
for other maintainers in the environment they cant do the testing
themself. It is usually testing on different hardware or different
architecture. It would be a very bad thing for them to have an attitude
to refuse to support other architectures just because they can test it
only on (for example) i386.
Comment 6 Lars Eggert 2005-12-13 12:13:23 UTC
On Dec 13, 2005, at 12:51, =8Aimun Mikecin wrote:
> Just like the maintainership of the port does not mean you will =20
> *always*
> take care of bugfixing, updating and resolving problems, I cannot be a
> tester whenever you make a change. Port maintanership is based on =20
> doing
> it on best-effort basis as time permits, so is my help with testing.
> Nobody is paid to do it.

I am well aware of what port maintainership entails.

> Beside maintaining a few ports, I do testing
> for other maintainers in the environment they cant do the testing
> themself. It is usually testing on different hardware or different
> architecture.

Hence my question if you were wiling to do the same for mod_perl2. =20
Apparently, you aren't, which is fine of course.

> It would be a very bad thing for them to have an attitude
> to refuse to support other architectures just because they can test it
> only on (for example) i386.

I'm not refusing anything. I'm pointing out that adding support for =20
configurations I can't test may create problems, because people will =20
expect those configurations to work when I cannot test them.

I'm open for constructive suggestions on how to deal with this. One =20
way would be someone that can test these configurations and provide =20
feedback. Another - worse - way is to temporarily disable those =20
configurations, to avoid violating POLA ("well, it compiled, so it =20
must run correctly, too").

Lars
--
Lars Eggert                                     NEC Network Laboratories
Comment 7 Simun Mikecin 2005-12-13 13:06:32 UTC
Don't get me wrong: I'm willing to help as my time and environment
permits me to. No more, no less.
If in some configuration it doesn't work, you can always mark it BROKEN
in that case until someone comes with a solution.
Comment 8 Simon Barner freebsd_committer 2005-12-19 18:24:40 UTC
State Changed
From-To: feedback->closed

Superceded by ports/90655